LibreOffice LibreOffice 26.2 SDK API Reference

Public Member Functions | List of all members
XEmbeddedClient Interface Referencepublished

represents common functionality for embedded clients. More...

`import"XEmbeddedClient.idl";`

Inheritance diagram for XEmbeddedClient:

## Public Member Functions
void | saveObject () raises ( ::com::sun::star::embed::ObjectSaveVetoException, ::com::sun::star::uno::Exception )
| asks client to let the object store itself. More...
void | visibilityChanged ([in] boolean bVisible) raises ( ::com::sun::star::embed::WrongStateException )
| An object can use this method to notify the client when the object outplace window becomes visible or invisible. More...
Public Member Functions inherited from XComponentSupplier
::com::sun::star::util::XCloseable | getComponent ()
| allows to get access to a component. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

represents common functionality for embedded clients.

## Member Function Documentation

## ◆ saveObject()

void saveObject | ( |  | ) |
raises | ( | ::com::sun::star::embed::ObjectSaveVetoException,
|  | ::com::sun::star::uno::Exception
| ) |  |

asks client to let the object store itself.

Exceptions

  com::sun::star::uno::ObjectSaveVetoException | in case container wants to avoid saving of object
  com::sun::star::uno::Exception | in case of problems during saving

## ◆ visibilityChanged()

void visibilityChanged | ( | [in] boolean | bVisible | ) |
raises | ( | ::com::sun::star::embed::WrongStateException
| ) |  |

An object can use this method to notify the client when the object outplace window becomes visible or invisible.

Parameters

  bVisible | visibility state of the window

Exceptions

  com::sun::star::embed::WrongStateException | the object is in wrong state

The documentation for this interface was generated from the following file:

- com/sun/star/embed/XEmbeddedClient.idl